using Pkg

# Register required packages
Pkg.add("SparseArrays")
Pkg.add("LinearAlgebra")
Pkg.add("Clustering")
Pkg.add("NearestNeighbors")
Pkg.add("Distances")
Pkg.add("Arpack")
Pkg.add("Statistics")
Pkg.add("DelimitedFiles")
Pkg.add("StatsBase")
Pkg.add("Random")
Pkg.add("LightGraphs")
Pkg.add("TickTock")
Pkg.add("MatrixMarket")
Pkg.add("Metis")
Pkg.add("LinearMaps")
Pkg.add("MAT")
Pkg.add("PyCall")

# Laplacians from GitHub (master branch)
Pkg.add(Pkg.PackageSpec(url="https://github.com/dynverse/Laplacians.jl", rev="master"))
